---
title: RTCIceCandidatePairStats.packetsSent
slug: Web/API/RTCIceCandidatePairStats/packetsSent
tags:
  - API
  - Candidate
  - Connectivity
  - ICE
  - Networking
  - Packets
  - Property
  - RTCIceCandidatePairStats
  - Reference
  - Sent
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} dictionary's <code><strong>packetsSent</strong></code> property indicates the total number of packets which have been sent on the connection described by the pair of candidates.</span></p>

<p>The number of packets received to date on the connection can be obtained using {{domxref("RTCIceCandidatePairStats.packetsReceived", "packetsReceived")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>packetsSent</em> = <em>rtcIceCandidatePairStats</em>.packetsSent;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the total number of packets, of any kind, which have been sent on the connection described by the two candidates comprising this pair.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-packetssent', 'RTCIceCandidatePairStats.packetsSent') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.packetsSent")}}</p>
